Bug 115906

Summary: repocopy graphics/ogre3d to graphics/ogre312
Product: Ports & Packages Reporter: Oliver Lehmann <oliver>
Component: Individual Port(s)Assignee: Oliver Lehmann <oliver>
Status: Closed FIXED    
Severity: Affects Only Me CC: oliver
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Oliver Lehmann freebsd_committer 2007-08-28 18:20:03 UTC
	what:
	repocopy graphics/ogre3d to graphics/ogre3d12

	why:
	graphics/ogre3d needs to be updated to 1.4 to update games/ember.
	gammes/fwp needs ogre3d 1.2 and won't compile with ogre3d 1.4
Comment 1 Edwin Groothuis freebsd_committer 2007-08-28 18:20:15 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2007-08-28 18:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Submitter is maintainer and has GNATS access
Comment 3 Oliver Lehmann freebsd_committer 2007-08-28 19:50:22 UTC
State Changed
From-To: open->repocopy

set to portmgr/repocopy 


Comment 4 Oliver Lehmann freebsd_committer 2007-08-28 19:50:22 UTC
Responsible Changed
From-To: oliver->portmgr

set to portmgr/repocopy
Comment 5 Dmitry Marakasov 2007-08-28 21:08:42 UTC
* Oliver Lehmann (oliver@FreeBSD.org) wrote:

> >Description:
> 	what:
> 	repocopy graphics/ogre3d to graphics/ogre3d12
> 
> 	why:
> 	graphics/ogre3d needs to be updated to 1.4 to update games/ember.
> 	gammes/fwp needs ogre3d 1.2 and won't compile with ogre3d 1.4
I would consider removing fwp instead (or marking it BROKEN for now
and only bothering with ogre3d repocopy if someone demands fwp).

The problems with fwp are:
- it does not compile on CURRENT + amd64
- the project was abandoned
- though, the game still compiles on other archs and is more or
  less playable (multiplayer also, as far as I remember)

I'm not sure it's worth effort to repocopy ogre3d port and then dealing
with resolving file collisions (but I guess ogre3d and ogre3d12 may just
be marked in CONFLICTS of each other). Any comments?

-- 
Best regards,
  Dmitry Marakasov               mailto:amdmi3@amdmi3.ru
Comment 6 Joe Marcus Clarke freebsd_committer 2007-09-02 04:58:19 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2007-09-02 04:58:19 UTC
Responsible Changed
From-To: portmgr->oliver

Repocopy complete.
Comment 8 Oliver Lehmann freebsd_committer 2007-09-19 15:45:39 UTC
State Changed
From-To: open->closed

committed